/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>
#include <string.h>
#include"UART.H"

#define  uint  unsigned int
#define  uchar unsigned char

char temp; 

#define LED1          P0_0
#define LED2          P0_1
#define LED3          P1_4


void Delay_ms(uint);
char Txdata[40]; //"HELLO waveshare   "20ַ

char read_buf[256];
char write_buf[256];
/*******************************************************************************
* Function Name  : Delayms
* Description    : Delay ms.
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void Delay_ms(uint n)
{
	uint i,j;
	for(i=0;i<n;i++)
	{
		for(j=0;j<1774;j++);
	}
}
/*******************************************************************************
* Function Name  : SystemInit
* Description    : Initialize the system
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void SystemInit(void)
{
	CLKCONCMD &= ~0x40;               /*Sets the system clock source for 32 MHZ crystal oscillator*/
	while(CLKCONSTA & 0x40);          /* Wait for Oscillator to be ready    */
	CLKCONCMD &= ~0x47;               /*Sets the system master clock frequency for 32 MHZ*/
}


/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/

void main(void)
{	
	 P0DIR |= (1<<0) | (1<<1);     //P0_0 P0_1 -> output
	 P1DIR |= (1<<4);     //P0_0 P0_1 -> output
	 SystemInit(); 
	 InitUART(); 
	 printf("HEELO Waveshare\r\n"); 
	 
	 
	 /**********************************************************************/	
	 
	 while(1)
	 {
		  LED1 = ~LED1;
		  LED2 = ~LED2;
		  LED3 = ~LED3;
		  Delay_ms(100);                   //ʱ
	 }
}


/**************************************************************** 
ڽһַ: һݴӴڴCC2530, жϣյݸֵtemp. 
****************************************************************/ 
#pragma vector = URX0_VECTOR 
  __interrupt void UART0_ISR(void) 
 { 
  URX0IF = 0;    // жϱ־ 
  temp = U0DBUF;   
  
  U0DBUF = temp;
  while(UTX0IF == 0);
  UTX0IF = 0;
 }