/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>
#include <string.h>
#include "uart.h"
#include"DS18B20.h"

#define  uint  unsigned int
#define  uchar unsigned char

#define LED1 P0_1	
#define LED2 P0_0	

/*******************************************************************************
* Function Name  : SystemInit
* Description    : Initialize the system
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void SystemInit(void)
{
    CLKCONCMD &= ~0x40;               /*Sets the system clock source for 32 MHZ crystal oscillator*/
    while(CLKCONSTA & 0x40);          /* Wait for Oscillator to be ready    */
    CLKCONCMD &= ~0x47;               /*Sets the system master clock frequency for 32 MHZ*/
}


/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void main(void)
{	
    unsigned int i,tmp; 
    unsigned char  *p,id[8];
    SystemInit();
    InitUART();
    printf("DS18B20 test program \r\n");
//    P2SEL &= ~(1<<0);
	/**----------------------Read ID------------------------*/
	p=readID();
	while(*p){id[i]=*p;p++;i++;}
	printf("DS18B20's ID :");
	i=0;
	while(i!=8)
		{printf("0x%x ",id[i]);i++;}
	printf("\n\r");
	/**----------------------Read Temp------------------------*/
    while(1)
    {
		if(tmp != i)
		{
			printf("Temperture:%d.%d\r\n ",i/100,i%100);
			tmp=i;
		}  	
 		i = readTemp();
    }    

    

}