#ifndef CC2530_GPIO_H
#define CC2530_GPIO_H

#include <ioCC2530.h>


typedef	struct  
{
   unsigned char PORT;
   unsigned char PIN;
}GPIOSelectType;


typedef enum
{ 
  GPIO_Mode_IPD = 0x01,
  GPIO_Mode_IPU = 0x02,
  GPIO_Mode_Out_PP = 0x03,
  GPIO_Mode_State =0x04 
}GPIOMode_TypeDef;



void GPIO_DIR(GPIOSelectType* Px_x,unsigned char dir);
unsigned char GPIO_ReadInputData(GPIOSelectType* Px_x);
void GPIO_ResetBits(GPIOSelectType* Px_x);
void GPIO_SetBits(GPIOSelectType* Px_x);



#endif 